org.apache.sysds.runtime.controlprogram.caching

## Class PageCache

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.caching.PageCache

    public class PageCache
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PageCache()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clear()`
`static byte[]` `getPage(int size)`
`static void` `init()`
`static void` `putPage(byte[] data)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageCache

    public PageCache()

### Method Detail

#### init

    public static void init()

#### clear

    public static void clear()

#### putPage

    public static void putPage(byte[] data)

#### getPage

    public static byte[] getPage(int size)